This project is read-only.

Can I use CommonLibrary.dll in .NET 2 targeted application?

Mar 16, 2010 at 6:51 PM

I got a warning when I added the library to my .NET 2.0 targeted application.  But was not sure whether using the library would cause any problems on machines that do not have .NET 3.5 available? 

This might be a simple question - so I appolgize if it is.  I don't know how linked the compiled library is to the framework, so if using it will require that my application also target .NET 3.5 - then unfortunately I won't be able to.

Coordinator
Apr 21, 2010 at 1:48 AM

You can only use this library/dll with .net 3.4.

This uses extensive features that are only available in 3.5.

- Extension methods

- Lamdas

- Collection initializers

- automatic properties